Developer's guide
=================

This section is intended as a guide to how Brian functions internally for
people developing Brian itself, or extensions to Brian. It may also be of some
interest to others wishing to better understand how Brian works internally.

.. toctree::
   :maxdepth: 2

   guidelines/index
   units
   equations_namespaces
   variables_indices
   preferences
   functions
   codegen
   devices
   openmp
